Bug 1294368 - Review Request: erlang-p1_iconv - Erlang bindings for iconv
Review Request: erlang-p1_iconv - Erlang bindings for iconv
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Randy Barlow
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1204119
  Show dependency treegraph
 
Reported: 2015-12-27 13:42 EST by Randy Barlow
Modified: 2016-02-07 12:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-07 12:16:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jeremy: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2015-12-27 13:42:47 EST
Spec URL: https://rbarlow.fedorapeople.org/erlang-p1_iconv.spec
SRPM URL: https://rbarlow.fedorapeople.org/erlang-p1_iconv-0-1.20150624git8b7542b1.fc24.src.rpm
Description: Erlang bindings for iconv. This is used by ejabberd.
Fedora Account System Username: rbarlow

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=12327599

There is one warning in the rpmlint output:
Checking: erlang-p1_iconv-0-1.20150624git8b7542b1.fc24.x86_64.rpm
          erlang-p1_iconv-0-1.20150624git8b7542b1.fc24.src.rpm
erlang-p1_iconv.x86_64: W: unstripped-binary-or-object /usr/lib64/erlang/lib/p1_iconv-0/priv/iconv.so
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

I believe we can ignore this warning, because it is conventional to include the debug symbols in Erlang libraries as documented here:

https://fedoraproject.org/wiki/User:Peter/Erlang_Packaging_Guidelines#Debug_symbols_.2F_source_installation_.2F_dialyzer
Comment 1 Sundeep Anand 2015-12-31 04:14:18 EST
This is un-official review of the package.
==========================================

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with incorrect FSF address)", "MIT/X11 (BSD
     like)", "Unknown or generated". 12 files have unknown license.
     Detailed output of licensecheck in
     /home/suanand/Projects/fedora/1294368-erlang-p1_iconv/licensecheck.txt
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/erlang,
     /usr/lib64/erlang/lib
[ ]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: erlang-p1_iconv-0-1.20150624git8b7542b1.fc22.x86_64.rpm
          erlang-p1_iconv-0-1.20150624git8b7542b1.fc22.src.rpm
erlang-p1_iconv.x86_64: W: spelling-error Summary(en_US) iconv -> icon, icons, icon v
erlang-p1_iconv.x86_64: W: spelling-error %description -l en_US iconv -> icon, icons, icon v
erlang-p1_iconv.x86_64: W: spelling-error %description -l en_US ejabberd -> jabbered, jabberer, jabber
erlang-p1_iconv.x86_64: W: unstripped-binary-or-object /usr/lib64/erlang/lib/p1_iconv-0/priv/iconv.so
erlang-p1_iconv.src: W: spelling-error Summary(en_US) iconv -> icon, icons, icon v
erlang-p1_iconv.src: W: spelling-error %description -l en_US iconv -> icon, icons, icon v
erlang-p1_iconv.src: W: spelling-error %description -l en_US ejabberd -> jabbered, jabberer, jabber
2 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
erlang-p1_iconv.x86_64: W: spelling-error Summary(en_US) iconv -> icon, icons, icon v
erlang-p1_iconv.x86_64: W: spelling-error %description -l en_US iconv -> icon, icons, icon v
erlang-p1_iconv.x86_64: W: spelling-error %description -l en_US ejabberd -> jabbered, jabberer, jabber
erlang-p1_iconv.x86_64: W: unstripped-binary-or-object /usr/lib64/erlang/lib/p1_iconv-0/priv/iconv.so
1 packages and 0 specfiles checked; 0 errors, 4 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /home/suanand/Projects/fedora/1294368-erlang-p1_iconv/srpm/erlang-p1_iconv.spec	2015-12-31 14:03:35.694677316 +0530
+++ /home/suanand/Projects/fedora/1294368-erlang-p1_iconv/srpm-unpacked/erlang-p1_iconv.spec	2015-12-27 23:48:07.000000000 +0530
@@ -39,5 +39,5 @@
 
 install -pm644 ebin/* $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{srcname}-%{version}/ebin
-install -pm755 priv/lib/iconv.so $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{srcname}-%{version}/priv/lib/
+install -pm755 priv/lib/iconv.so $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{srcname}-%{version}/priv
 
 


Requires
--------
erlang-p1_iconv (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
erlang-p1_iconv:
    erlang-p1_iconv
    erlang-p1_iconv(x86-64)



Unversioned so-files
--------------------
erlang-p1_iconv: /usr/lib64/erlang/lib/p1_iconv-0/priv/iconv.so

Source checksums
----------------
https://github.com/processone/eiconv/archive/8b7542b1aaf0a851f335e464956956985af6d9a2.tar.gz :
  CHECKSUM(SHA256) this package     : e5494d78d29f40c462723364371dcacec0f5035f4933d3934e4e30383e5d050f
  CHECKSUM(SHA256) upstream package : e5494d78d29f40c462723364371dcacec0f5035f4933d3934e4e30383e5d050f
Comment 2 Upstream Release Monitoring 2015-12-31 12:20:47 EST
rbarlow's scratch build of erlang-p1_iconv-0-1.20150624git8b7542b1.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12359323
Comment 3 Randy Barlow 2016-01-06 19:56:05 EST
I made a new release of this package to address a few issues:

Spec URL: https://rbarlow.fedorapeople.org/erlang-p1_iconv.spec
SRPM URL: https://rbarlow.fedorapeople.org/erlang-p1_iconv-0-2.20150624git8b7542b1.fc24.src.rpm
Comment 4 Upstream Release Monitoring 2016-01-06 20:10:07 EST
rbarlow's scratch build of erlang-p1_iconv-0-2.20150624git8b7542b1.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12441473
Comment 5 Jeremy Cline 2016-02-04 21:49:27 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with incorrect FSF address)", "MIT/X11 (BSD
     like)", "Unknown or generated". 4 files have unknown license. Detailed
     output of licensecheck in /home/jcline/devel/fedora-review/1294368
     -erlang-p1_iconv/licensecheck.txt
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: erlang-p1_iconv-0-2.20150624git8b7542b1.fc24.x86_64.rpm
          erlang-p1_iconv-0-2.20150624git8b7542b1.fc24.src.rpm
erlang-p1_iconv.x86_64: W: spelling-error Summary(en_US) iconv -> icon, icons, icon v
erlang-p1_iconv.x86_64: W: spelling-error %description -l en_US iconv -> icon, icons, icon v
erlang-p1_iconv.x86_64: W: spelling-error %description -l en_US ejabberd -> jabbered, jabberer, jabber
erlang-p1_iconv.x86_64: W: unstripped-binary-or-object /usr/lib64/erlang/lib/p1_iconv-0/priv/lib/iconv.so
erlang-p1_iconv.x86_64: W: no-soname /usr/lib64/erlang/lib/p1_iconv-0/priv/lib/iconv.so
erlang-p1_iconv.src: W: spelling-error Summary(en_US) iconv -> icon, icons, icon v
erlang-p1_iconv.src: W: spelling-error %description -l en_US iconv -> icon, icons, icon v
erlang-p1_iconv.src: W: spelling-error %description -l en_US ejabberd -> jabbered, jabberer, jabber
2 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
erlang-p1_iconv.x86_64: W: spelling-error Summary(en_US) iconv -> icon, icons, icon v
erlang-p1_iconv.x86_64: W: spelling-error %description -l en_US iconv -> icon, icons, icon v
erlang-p1_iconv.x86_64: W: spelling-error %description -l en_US ejabberd -> jabbered, jabberer, jabber
erlang-p1_iconv.x86_64: W: unstripped-binary-or-object /usr/lib64/erlang/lib/p1_iconv-0/priv/lib/iconv.so
erlang-p1_iconv.x86_64: W: no-soname /usr/lib64/erlang/lib/p1_iconv-0/priv/lib/iconv.so
erlang-p1_iconv.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_iconv-0/priv/lib/iconv.so enif_alloc_binary
erlang-p1_iconv.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_iconv-0/priv/lib/iconv.so enif_free
erlang-p1_iconv.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_iconv-0/priv/lib/iconv.so enif_realloc_binary
erlang-p1_iconv.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_iconv-0/priv/lib/iconv.so enif_make_binary
erlang-p1_iconv.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_iconv-0/priv/lib/iconv.so enif_alloc
erlang-p1_iconv.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_iconv-0/priv/lib/iconv.so enif_release_binary
erlang-p1_iconv.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_iconv-0/priv/lib/iconv.so enif_make_badarg
erlang-p1_iconv.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_iconv-0/priv/lib/iconv.so enif_inspect_iolist_as_binary
1 packages and 0 specfiles checked; 0 errors, 13 warnings.



Requires
--------
erlang-p1_iconv (rpmlib, GLIBC filtered):
    erlang-erts
    libc.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
erlang-p1_iconv:
    erlang-p1_iconv
    erlang-p1_iconv(x86-64)



Unversioned so-files
--------------------
erlang-p1_iconv: /usr/lib64/erlang/lib/p1_iconv-0/priv/lib/iconv.so

Source checksums
----------------
https://github.com/processone/eiconv/archive/8b7542b1aaf0a851f335e464956956985af6d9a2.tar.gz :
  CHECKSUM(SHA256) this package     : e5494d78d29f40c462723364371dcacec0f5035f4933d3934e4e30383e5d050f
  CHECKSUM(SHA256) upstream package : e5494d78d29f40c462723364371dcacec0f5035f4933d3934e4e30383e5d050f


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1294368
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 6 Gwyn Ciesla 2016-02-05 16:11:36 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/erlang-p1_iconv

Note You need to log in before you can comment on or make changes to this bug.